<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="project_projx.xsd">

  <SchemaVersion>2.1</SchemaVersion>

  <Header>### uVision Project, (C) Keil Software</Header>

  <Targets>
    <Target>
      <TargetName>STM32H743I_EVAL</TargetName>
      <ToolsetNumber>0x4</ToolsetNumber>
      <ToolsetName>ARM-ADS</ToolsetName>
      <pCCUsed>5060750::V5.06 update 6 (build 750)::ARMCC</pCCUsed>
      <uAC6>0</uAC6>
      <TargetOption>
        <TargetCommonOption>
          <Device>STM32H743XIHx</Device>
          <Vendor>STMicroelectronics</Vendor>
          <PackID>Keil.STM32H7xx_DFP.2.2.6</PackID>
          <PackURL>http://www.keil.com/pack</PackURL>
          <Cpu>IRAM(0x20000000,0x20000) IRAM2(0x24000000,0x80000) IROM(0x08000000,0x200000) CPUTYPE("Cortex-M7") FPU3(DFPU) CLOCK(12000000) ELITTLE</Cpu>
          <FlashUtilSpec></FlashUtilSpec>
          <StartupFile></StartupFile>
          <FlashDriverDll>UL2CM3(-S0 -C0 -P0 -FD20000000 -FC1000 -FN3 -FF0STM32H7x_2048 -FS08000000 -FL0200000 -FF1STM32H7xx_MT25TL01G -FS190000000 -FL14000000 -FF2STM32H7xx_MT25TL01G_DUAL -FS290000000 -FL28000000 -FP0($$Device:STM32H743XIHx$CMSIS\Flash\STM32H7x_2048.FLM) -FP1($$Device:STM32H743XIHx$CMSIS\Flash\STM32H7xx_MT25TL01G.FLM) -FP2($$Device:STM32H743XIHx$CMSIS\Flash\STM32H7xx_MT25TL01G_DUAL.FLM))</FlashDriverDll>
          <DeviceId>0</DeviceId>
          <RegisterFile></RegisterFile>
          <MemoryEnv></MemoryEnv>
          <Cmp></Cmp>
          <Asm></Asm>
          <Linker></Linker>
          <OHString></OHString>
          <InfinionOptionDll></InfinionOptionDll>
          <SLE66CMisc></SLE66CMisc>
          <SLE66AMisc></SLE66AMisc>
          <SLE66LinkerMisc></SLE66LinkerMisc>
          <SFDFile>$$Device:STM32H743XIHx$CMSIS\SVD\STM32H7x3.svd</SFDFile>
          <bCustSvd>0</bCustSvd>
          <UseEnv>0</UseEnv>
          <BinPath></BinPath>
          <IncludePath></IncludePath>
          <LibPath></LibPath>
          <RegisterFilePath></RegisterFilePath>
          <DBRegisterFilePath></DBRegisterFilePath>
          <TargetStatus>
            <Error>0</Error>
            <ExitCodeStop>0</ExitCodeStop>
            <ButtonStop>0</ButtonStop>
            <NotGenerated>0</NotGenerated>
            <InvalidFlash>1</InvalidFlash>
          </TargetStatus>
          <OutputDirectory>STM32H743I_EVAL\</OutputDirectory>
          <OutputName>STM32H743I_EVAL</OutputName>
          <CreateExecutable>1</CreateExecutable>
          <CreateLib>0</CreateLib>
          <CreateHexFile>0</CreateHexFile>
          <DebugInformation>1</DebugInformation>
          <BrowseInformation>1</BrowseInformation>
          <ListingPath></ListingPath>
          <HexFormatSelection>1</HexFormatSelection>
          <Merge32K>0</Merge32K>
          <CreateBatchFile>0</CreateBatchFile>
          <BeforeCompile>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopU1X>0</nStopU1X>
            <nStopU2X>0</nStopU2X>
          </BeforeCompile>
          <BeforeMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopB1X>0</nStopB1X>
            <nStopB2X>0</nStopB2X>
          </BeforeMake>
          <AfterMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopA1X>0</nStopA1X>
            <nStopA2X>0</nStopA2X>
          </AfterMake>
          <SelectedForBatchBuild>0</SelectedForBatchBuild>
          <SVCSIdString></SVCSIdString>
        </TargetCommonOption>
        <CommonProperty>
          <UseCPPCompiler>0</UseCPPCompiler>
          <RVCTCodeConst>0</RVCTCodeConst>
          <RVCTZI>0</RVCTZI>
          <RVCTOtherData>0</RVCTOtherData>
          <ModuleSelection>0</ModuleSelection>
          <IncludeInBuild>1</IncludeInBuild>
          <AlwaysBuild>0</AlwaysBuild>
          <GenerateAssemblyFile>0</GenerateAssemblyFile>
          <AssembleAssemblyFile>0</AssembleAssemblyFile>
          <PublicsOnly>0</PublicsOnly>
          <StopOnExitCode>3</StopOnExitCode>
          <CustomArgument></CustomArgument>
          <IncludeLibraryModules></IncludeLibraryModules>
          <ComprImg>0</ComprImg>
        </CommonProperty>
        <DllOption>
          <SimDllName>SARMCM3.DLL</SimDllName>
          <SimDllArguments> -REMAP -MPU</SimDllArguments>
          <SimDlgDll>DCM.DLL</SimDlgDll>
          <SimDlgDllArguments>-pCM7</SimDlgDllArguments>
          <TargetDllName>SARMCM3.DLL</TargetDllName>
          <TargetDllArguments> -MPU</TargetDllArguments>
          <TargetDlgDll>TCM.DLL</TargetDlgDll>
          <TargetDlgDllArguments>-pCM7</TargetDlgDllArguments>
        </DllOption>
        <DebugOption>
          <OPTHX>
            <HexSelection>1</HexSelection>
            <HexRangeLowAddress>0</HexRangeLowAddress>
            <HexRangeHighAddress>0</HexRangeHighAddress>
            <HexOffset>0</HexOffset>
            <Oh166RecLen>16</Oh166RecLen>
          </OPTHX>
        </DebugOption>
        <Utilities>
          <Flash1>
            <UseTargetDll>1</UseTargetDll>
            <UseExternalTool>0</UseExternalTool>
            <RunIndependent>0</RunIndependent>
            <UpdateFlashBeforeDebugging>1</UpdateFlashBeforeDebugging>
            <Capability>1</Capability>
            <DriverSelection>4107</DriverSelection>
          </Flash1>
          <bUseTDR>1</bUseTDR>
          <Flash2>BIN\UL2CM3.DLL</Flash2>
          <Flash3></Flash3>
          <Flash4></Flash4>
          <pFcarmOut></pFcarmOut>
          <pFcarmGrp></pFcarmGrp>
          <pFcArmRoot></pFcArmRoot>
          <FcArmLst>0</FcArmLst>
        </Utilities>
        <TargetArmAds>
          <ArmAdsMisc>
            <GenerateListings>0</GenerateListings>
            <asHll>1</asHll>
            <asAsm>1</asAsm>
            <asMacX>1</asMacX>
            <asSyms>1</asSyms>
            <asFals>1</asFals>
            <asDbgD>1</asDbgD>
            <asForm>1</asForm>
            <ldLst>0</ldLst>
            <ldmm>1</ldmm>
            <ldXref>1</ldXref>
            <BigEnd>0</BigEnd>
            <AdsALst>1</AdsALst>
            <AdsACrf>1</AdsACrf>
            <AdsANop>0</AdsANop>
            <AdsANot>0</AdsANot>
            <AdsLLst>1</AdsLLst>
            <AdsLmap>1</AdsLmap>
            <AdsLcgr>1</AdsLcgr>
            <AdsLsym>1</AdsLsym>
            <AdsLszi>1</AdsLszi>
            <AdsLtoi>1</AdsLtoi>
            <AdsLsun>1</AdsLsun>
            <AdsLven>1</AdsLven>
            <AdsLsxf>1</AdsLsxf>
            <RvctClst>0</RvctClst>
            <GenPPlst>0</GenPPlst>
            <AdsCpuType>"Cortex-M7"</AdsCpuType>
            <RvctDeviceName></RvctDeviceName>
            <mOS>0</mOS>
            <uocRom>0</uocRom>
            <uocRam>0</uocRam>
            <hadIROM>1</hadIROM>
            <hadIRAM>1</hadIRAM>
            <hadXRAM>0</hadXRAM>
            <uocXRam>0</uocXRam>
            <RvdsVP>3</RvdsVP>
            <hadIRAM2>1</hadIRAM2>
            <hadIROM2>0</hadIROM2>
            <StupSel>8</StupSel>
            <useUlib>1</useUlib>
            <EndSel>0</EndSel>
            <uLtcg>0</uLtcg>
            <nSecure>0</nSecure>
            <RoSelD>3</RoSelD>
            <RwSelD>4</RwSelD>
            <CodeSel>0</CodeSel>
            <OptFeed>0</OptFeed>
            <NoZi1>0</NoZi1>
            <NoZi2>0</NoZi2>
            <NoZi3>0</NoZi3>
            <NoZi4>0</NoZi4>
            <NoZi5>0</NoZi5>
            <Ro1Chk>0</Ro1Chk>
            <Ro2Chk>0</Ro2Chk>
            <Ro3Chk>0</Ro3Chk>
            <Ir1Chk>1</Ir1Chk>
            <Ir2Chk>0</Ir2Chk>
            <Ra1Chk>0</Ra1Chk>
            <Ra2Chk>0</Ra2Chk>
            <Ra3Chk>0</Ra3Chk>
            <Im1Chk>0</Im1Chk>
            <Im2Chk>1</Im2Chk>
            <OnChipMemories>
              <Ocm1>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm1>
              <Ocm2>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm2>
              <Ocm3>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm3>
              <Ocm4>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm4>
              <Ocm5>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm5>
              <Ocm6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm6>
              <IRAM>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x20000</Size>
              </IRAM>
              <IROM>
                <Type>1</Type>
                <StartAddress>0x8000000</StartAddress>
                <Size>0x200000</Size>
              </IROM>
              <XRAM>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </XRAM>
              <OCR_RVCT1>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT1>
              <OCR_RVCT2>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT2>
              <OCR_RVCT3>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT3>
              <OCR_RVCT4>
                <Type>1</Type>
                <StartAddress>0x8000000</StartAddress>
                <Size>0x200000</Size>
              </OCR_RVCT4>
              <OCR_RVCT5>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT5>
              <OCR_RVCT6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT6>
              <OCR_RVCT7>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT7>
              <OCR_RVCT8>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT8>
              <OCR_RVCT9>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x20000</Size>
              </OCR_RVCT9>
              <OCR_RVCT10>
                <Type>0</Type>
                <StartAddress>0x24000000</StartAddress>
                <Size>0x80000</Size>
              </OCR_RVCT10>
            </OnChipMemories>
            <RvctStartVector></RvctStartVector>
          </ArmAdsMisc>
          <Cads>
            <interw>1</interw>
            <Optim>4</Optim>
            <oTime>0</oTime>
            <SplitLS>0</SplitLS>
            <OneElfS>1</OneElfS>
            <Strict>0</Strict>
            <EnumInt>0</EnumInt>
            <PlainCh>0</PlainCh>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <wLevel>2</wLevel>
            <uThumb>0</uThumb>
            <uSurpInc>0</uSurpInc>
            <uC99>0</uC99>
            <uGnu>0</uGnu>
            <useXO>0</useXO>
            <v6Lang>1</v6Lang>
            <v6LangP>1</v6LangP>
            <vShortEn>1</vShortEn>
            <vShortWch>1</vShortWch>
            <v6Lto>0</v6Lto>
            <v6WtE>0</v6WtE>
            <v6Rtti>0</v6Rtti>
            <VariousControls>
              <MiscControls>--C99</MiscControls>
              <Define>USE_HAL_DRIVER,USE_IOEXPANDER,STM32H743xx,USE_STM32H743I_EVAL</Define>
              <Undefine></Undefine>
              <IncludePath>../Inc;../../../../../../Drivers/CMSIS/Include;../../../../../../Drivers/CMSIS/Device/ST/STM32H7xx/Include;../../../../../../Drivers/STM32H7xx_HAL_Driver/Inc;../../../../../../Drivers/BSP/STM32H743I-EVAL;../../../../../../Drivers/BSP/Components/Common;../../../../../../Middlewares/Third_Party/FatFs/src;../../../../../../Middlewares/Third_Party/LibJPEG/include;../../../../../../Utilities/Basic_GUI</IncludePath>
            </VariousControls>
          </Cads>
          <Aads>
            <interw>1</interw>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <thumb>0</thumb>
            <SplitLS>0</SplitLS>
            <SwStkChk>0</SwStkChk>
            <NoWarn>0</NoWarn>
            <uSurpInc>0</uSurpInc>
            <useXO>0</useXO>
            <uClangAs>0</uClangAs>
            <VariousControls>
              <MiscControls></MiscControls>
              <Define></Define>
              <Undefine></Undefine>
              <IncludePath></IncludePath>
            </VariousControls>
          </Aads>
          <LDads>
            <umfTarg>1</umfTarg>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <noStLib>0</noStLib>
            <RepFail>1</RepFail>
            <useFile>0</useFile>
            <TextAddressRange>0x08000000</TextAddressRange>
            <DataAddressRange>0x20000000</DataAddressRange>
            <pXoBase></pXoBase>
            <ScatterFile></ScatterFile>
            <IncludeLibs></IncludeLibs>
            <IncludeLibsPath></IncludeLibsPath>
            <Misc></Misc>
            <LinkerInputFile></LinkerInputFile>
            <DisabledWarnings></DisabledWarnings>
          </LDads>
        </TargetArmAds>
      </TargetOption>
      <Groups>
        <Group>
          <GroupName>Middlewares/FatFs/Options</GroupName>
          <Files>
            <File>
              <FileName>syscall.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/FatFs/src/option/syscall.c</FilePath>
            </File>
            <File>
              <FileName>unicode.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/FatFs/src/option/unicode.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/MDK-ARM</GroupName>
          <Files>
            <File>
              <FileName>startup_stm32h743xx.s</FileName>
              <FileType>2</FileType>
              <FilePath>startup_stm32h743xx.s</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/BSP/Components</GroupName>
          <Files>
            <File>
              <FileName>mfxstm32l152.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/BSP/Components/mfxstm32l152/mfxstm32l152.c</FilePath>
            </File>
            <File>
              <FileName>stmpe811.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/BSP/Components/stmpe811/stmpe811.c</FilePath>
            </File>
            <File>
              <FileName>mfxstm32l152_reg.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\Components\mfxstm32l152\mfxstm32l152_reg.c</FilePath>
            </File>
            <File>
              <FileName>stmpe811_reg.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\Components\stmpe811\stmpe811_reg.c</FilePath>
            </File>
            <File>
              <FileName>exc7200.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\Components\exc7200\exc7200.c</FilePath>
            </File>
            <File>
              <FileName>exc7200_reg.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\Components\exc7200\exc7200_reg.c</FilePath>
            </File>
            <File>
              <FileName>is42s32800g.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\Components\is42s32800g\is42s32800g.c</FilePath>
            </File>
            <File>
              <FileName>ts3510.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\Components\ts3510\ts3510.c</FilePath>
            </File>
            <File>
              <FileName>ts3510_reg.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\Components\ts3510\ts3510_reg.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/BSP/STM32H743_EVAL</GroupName>
          <Files>
            <File>
              <FileName>stm32h743i_eval.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\STM32H743I-EVAL\stm32h743i_eval.c</FilePath>
            </File>
            <File>
              <FileName>stm32h743i_eval_io.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\STM32H743I-EVAL\stm32h743i_eval_io.c</FilePath>
            </File>
            <File>
              <FileName>stm32h743i_eval_lcd.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\STM32H743I-EVAL\stm32h743i_eval_lcd.c</FilePath>
            </File>
            <File>
              <FileName>stm32h743i_eval_sd.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\STM32H743I-EVAL\stm32h743i_eval_sd.c</FilePath>
            </File>
            <File>
              <FileName>stm32h743i_eval_sdram.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\STM32H743I-EVAL\stm32h743i_eval_sdram.c</FilePath>
            </File>
            <File>
              <FileName>stm32h743i_eval_bus.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\BSP\STM32H743I-EVAL\stm32h743i_eval_bus.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/FatFs/Core</GroupName>
          <Files>
            <File>
              <FileName>ff_gen_drv.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/FatFs/src/ff_gen_drv.c</FilePath>
            </File>
            <File>
              <FileName>diskio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/FatFs/src/diskio.c</FilePath>
            </File>
            <File>
              <FileName>ff.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/FatFs/src/ff.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Middlewares/Lib_JPEG</GroupName>
          <Files>
            <File>
              <FileName>jcapistd.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcapistd.c</FilePath>
            </File>
            <File>
              <FileName>jdpostct.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdpostct.c</FilePath>
            </File>
            <File>
              <FileName>jidctflt.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jidctflt.c</FilePath>
            </File>
            <File>
              <FileName>jcsample.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcsample.c</FilePath>
            </File>
            <File>
              <FileName>jutils.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jutils.c</FilePath>
            </File>
            <File>
              <FileName>jfdctflt.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jfdctflt.c</FilePath>
            </File>
            <File>
              <FileName>jdcolor.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdcolor.c</FilePath>
            </File>
            <File>
              <FileName>jddctmgr.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jddctmgr.c</FilePath>
            </File>
            <File>
              <FileName>jaricom.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jaricom.c</FilePath>
            </File>
            <File>
              <FileName>jdmarker.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdmarker.c</FilePath>
            </File>
            <File>
              <FileName>jdapimin.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdapimin.c</FilePath>
            </File>
            <File>
              <FileName>jquant1.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jquant1.c</FilePath>
            </File>
            <File>
              <FileName>jdmainct.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdmainct.c</FilePath>
            </File>
            <File>
              <FileName>jcparam.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcparam.c</FilePath>
            </File>
            <File>
              <FileName>jdcoefct.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdcoefct.c</FilePath>
            </File>
            <File>
              <FileName>jdinput.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdinput.c</FilePath>
            </File>
            <File>
              <FileName>jcdctmgr.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcdctmgr.c</FilePath>
            </File>
            <File>
              <FileName>jmemnobs.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jmemnobs.c</FilePath>
            </File>
            <File>
              <FileName>jdapistd.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdapistd.c</FilePath>
            </File>
            <File>
              <FileName>jcomapi.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcomapi.c</FilePath>
            </File>
            <File>
              <FileName>jidctint.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jidctint.c</FilePath>
            </File>
            <File>
              <FileName>jquant2.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jquant2.c</FilePath>
            </File>
            <File>
              <FileName>jcmaster.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcmaster.c</FilePath>
            </File>
            <File>
              <FileName>jdtrans.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdtrans.c</FilePath>
            </File>
            <File>
              <FileName>jfdctint.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jfdctint.c</FilePath>
            </File>
            <File>
              <FileName>jctrans.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jctrans.c</FilePath>
            </File>
            <File>
              <FileName>jfdctfst.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jfdctfst.c</FilePath>
            </File>
            <File>
              <FileName>jcinit.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcinit.c</FilePath>
            </File>
            <File>
              <FileName>jcmarker.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcmarker.c</FilePath>
            </File>
            <File>
              <FileName>jcarith.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcarith.c</FilePath>
            </File>
            <File>
              <FileName>jcapimin.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcapimin.c</FilePath>
            </File>
            <File>
              <FileName>jccoefct.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jccoefct.c</FilePath>
            </File>
            <File>
              <FileName>jerror.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jerror.c</FilePath>
            </File>
            <File>
              <FileName>jcprepct.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcprepct.c</FilePath>
            </File>
            <File>
              <FileName>jdhuff.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdhuff.c</FilePath>
            </File>
            <File>
              <FileName>jmemmgr.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jmemmgr.c</FilePath>
            </File>
            <File>
              <FileName>jdatadst.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdatadst.c</FilePath>
            </File>
            <File>
              <FileName>jdmaster.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdmaster.c</FilePath>
            </File>
            <File>
              <FileName>jdarith.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdarith.c</FilePath>
            </File>
            <File>
              <FileName>jdmerge.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdmerge.c</FilePath>
            </File>
            <File>
              <FileName>jchuff.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jchuff.c</FilePath>
            </File>
            <File>
              <FileName>jcmainct.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jcmainct.c</FilePath>
            </File>
            <File>
              <FileName>jdatasrc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdatasrc.c</FilePath>
            </File>
            <File>
              <FileName>jdsample.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jdsample.c</FilePath>
            </File>
            <File>
              <FileName>jccolor.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jccolor.c</FilePath>
            </File>
            <File>
              <FileName>jidctfst.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Middlewares/Third_Party/LibJPEG/source/jidctfst.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Application/User</GroupName>
          <Files>
            <File>
              <FileName>jdata_conf.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/jdata_conf.c</FilePath>
            </File>
            <File>
              <FileName>encode.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/encode.c</FilePath>
            </File>
            <File>
              <FileName>main.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/main.c</FilePath>
            </File>
            <File>
              <FileName>decode.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/decode.c</FilePath>
            </File>
            <File>
              <FileName>sd_diskio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/sd_diskio.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_it.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/stm32h7xx_it.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/CMSIS</GroupName>
          <Files>
            <File>
              <FileName>system_stm32h7xx.c</FileName>
              <FileType>1</FileType>
              <FilePath>../Src/system_stm32h7xx.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Drivers/STM32H7xx_HAL_Driver</GroupName>
          <Files>
            <File>
              <FileName>stm32h7xx_hal_sdram.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_sdram.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_adc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_adc.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_rcc_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_dma2d.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma2d.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_dma.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_dma.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_mdma.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_mdma.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_ll_sdmmc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_ll_sdmmc.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_pwr_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_pwr.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_pwr.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_ll_delayblock.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_ll_delayblock.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_i2c.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_i2c.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_ll_fmc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_ll_fmc.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_cortex.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_cortex.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_gpio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_gpio.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_rcc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_rcc.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_sd.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_sd.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_ltdc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../Drivers/STM32H7xx_HAL_Driver/Src/stm32h7xx_hal_ltdc.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_adc_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\STM32H7xx_HAL_Driver\Src\stm32h7xx_hal_adc_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_uart.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\STM32H7xx_HAL_Driver\Src\stm32h7xx_hal_uart.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_uart_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\STM32H7xx_HAL_Driver\Src\stm32h7xx_hal_uart_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_tim.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\STM32H7xx_HAL_Driver\Src\stm32h7xx_hal_tim.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_tim_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\STM32H7xx_HAL_Driver\Src\stm32h7xx_hal_tim_ex.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_exti.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\STM32H7xx_HAL_Driver\Src\stm32h7xx_hal_exti.c</FilePath>
            </File>
            <File>
              <FileName>stm32h7xx_hal_i2c_ex.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Drivers\STM32H7xx_HAL_Driver\Src\stm32h7xx_hal_i2c_ex.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Doc</GroupName>
          <Files>
            <File>
              <FileName>readme.txt</FileName>
              <FileType>5</FileType>
              <FilePath>../readme.txt</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>Utilities</GroupName>
          <Files>
            <File>
              <FileName>basic_gui.c</FileName>
              <FileType>1</FileType>
              <FilePath>..\..\..\..\..\..\Utilities\Basic_GUI\basic_gui.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>::CMSIS</GroupName>
        </Group>
      </Groups>
    </Target>
  </Targets>

  <RTE>
    <apis/>
    <components>
      <component Cclass="CMSIS" Cgroup="CORE" Cvendor="ARM" Cversion="5.0.1" condition="ARMv6_7_8-M Device">
        <package name="CMSIS" schemaVersion="1.3" url="http://www.keil.com/pack/" vendor="ARM" version="5.0.1"/>
        <targetInfos>
          <targetInfo name="STM32H743I_EVAL"/>
        </targetInfos>
      </component>
    </components>
    <files/>
  </RTE>

</Project>
